summary |
shortlog |
log |
commit | commitdiff |
tree
raw |
patch |
inline | side by side (from parent 1:
9a76b45)
This involves installing scripts from this package into the right place
in ~/bin.
# --- Find a text editor ---
# --- Find a text editor ---
for ed in "emacs21 -nw" "emacs -nw" vi pico nano ae; do
name=`echo $ed | sed 's/ .*$//'`
if __mdw_programp "$name"; then
for ed in "emacs21 -nw" "emacs -nw" vi pico nano ae; do
name=`echo $ed | sed 's/ .*$//'`
if __mdw_programp "$name"; then
+
+export EDITOR=mdw-editor VISUAL=mdw-editor
# --- Various options for programs ---
# --- Various options for programs ---
--- /dev/null
+#! /bin/sh
+
+set -e
+editor=${MDW_EDITOR-ed}
+case "$EDITOR,$VISUAL,$TERM" in
+ mdw-editor,mdw-editor,dumb) editor=gnuclient;;
+ mdw-editor,mdw-editor,*);;
+ *,mdw-editor,*) editor=$EDITOR;;
+ mdw-editor,*,*) editor=$VISUAL;;
+esac
+exec $editor "$@"
e-keybindings.cfg:.enlightenment/keybindings.cfg
evnc-keybindings.cfg:.enlightenment-vnc/keybindings.cfg
jue-peek.jpg:.enlightenment/backgrounds/jue-peek.jpg"
e-keybindings.cfg:.enlightenment/keybindings.cfg
evnc-keybindings.cfg:.enlightenment-vnc/keybindings.cfg
jue-peek.jpg:.enlightenment/backgrounds/jue-peek.jpg"
echo "Installing dotfiles..."
for d in $dotfiles; do
target=.$d
echo "Installing dotfiles..."
for d in $dotfiles; do
target=.$d
+### Install useful scripts included in this package
+scripts="
+ mdw-editor"
+echo "Installing scripts..."
+mkdir -p $HOME$sub/bin
+for s in $scripts; do
+ ft=$HOME$sub/bin/$s
+ ln -s $here/$s $ft.new
+ mv $ft.new $ft
+ echo " $s"
+done
+echo " all done."
+
### Set up the Emacs config
$echon "Finding a suitable emacs:$echoc"
emacs=no
### Set up the Emacs config
$echon "Finding a suitable emacs:$echoc"
emacs=no